\DeclareLanguage{english}
\DeclareDialect{usenglish}

\SetLanguageScript{La}

\AddLanguageProcess{input}{inputtex}

\DeclareLanguageCommand*{\partname}{names}
  {Part}
\DeclareLanguageCommand*{\contentsname}{names}
  {Contents}
\DeclareLanguageCommand*{\listfigurename}{names}
  {List of Figures}
\DeclareLanguageCommand*{\listtablename}{names}
  {List of Tables}
\DeclareLanguageCommand*{\bibname}{names}
  {Bibliography}
\DeclareLanguageCommand*{\indexname}{names}
  {Index}
\DeclareLanguageCommand*{\figurename}{names}
  {Figure}
\DeclareLanguageCommand*{\tablename}{names}
  {Table}
\DeclareLanguageCommand*{\refname}{names}
  {References}
\DeclareLanguageCommand*{\abstractname}{names}
  {Abstract}
\DeclareLanguageCommand*{\chaptername}{names}
  {Chapter}
\DeclareLanguageCommand*{\appendixname}{names}
  {Appendix}
\DeclareLanguageCommand*{\enclname}{names}
  {encl}
\DeclareLanguageCommand*{\ccname}{names}
  {cc}
\DeclareLanguageCommand*{\pagename}{names}
  {Page}
\DeclareLanguageCommand*{\headtoname}{names}
  {To}
\DeclareLanguageCommand*{\seename}{names}
  {see}

% date
% ~~~~

\DeclareDateFunction{ddd}{\eng@arabicth\c@day}

\DeclareDateFunction{mmm}{\ifcase\month\or Jan.\or Feb.\or
  Mar.\or Abr.\or May\or Jun.\or Jul.\or Aug.\or Sep.\or Oct.\or
  Nov.\or Dic.\fi\@}

\DeclareDateFunction{mmmm}{\ifcase\month\or
    January\or February\or March\or April\or May\or June\or
    July\or August\or September\or October\or November\or December\fi}%

\DeclareDateFunction{www}{\ifcase\month\or Sun.\or Mon.\or
  Tue.\or Wes.\or Thu.\or Fri.\or Sat.\fi\@}

\DeclareDateFunction{wwww}{\ifcase\month\or Sunday\or Monday\or
  Tuesday\or Wesnesday\or Thursday\or Friday\or Saturday\fi}

% Continued below

% ordinal numbers
% ~~~~~~~~~~~~~~~

\DeclareLanguageCommand{\arabicth}{tools}
  [1]{\expandafter\eng@arabicth\csname c@#1\endcsname}%

\def\eng@arabicth#1{%
  \number#1\expandafter\eng@@arabicth\expandafter0\number#1 \@empty}

\def\eng@@arabicth#1#2#3{%
  \ifx#3\@empty
    \expandafter\eng@@@@arabicth
  \else
    \expandafter\eng@@@arabicth
  \fi
  #1#2#3}

\def\eng@@@arabicth#1#2#3{\eng@@arabicth#2#3}

\def\eng@@@@arabicth#1#2#3{%
  \if#11%
    th%
  \else
    \ifcase#2 th\or st\or nd\or rd\else th\fi
  \fi}

\SetDialect{english}

\DeclareDateCommand{\today}{<ddd> <mmmm> <yyyy>}

\SetDialect{usenglish}

\DeclareDateCommand{\today}{<mmmm> <d>, <yyyy>}

\endinput
